org.jasypt.salt

## Class ByteArrayFixedSaltGenerator

- Object
- - org.jasypt.salt.ByteArrayFixedSaltGenerator

- All Implemented Interfaces:
    FixedSaltGenerator, SaltGenerator

      public class ByteArrayFixedSaltGenerator
      extends Object
      implements FixedSaltGenerator

  Byte-array based implementation of `FixedSaltGenerator`, that will always return the same salt.

  If the requested salt has a size in bytes smaller than the specified salt, the first n bytes are returned. If it is larger, an exception is thrown.

  This class is thread-safe.

  Since:
    1.9.2
  Author:
    Daniel Fernández

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteArrayFixedSaltGenerator(byte[] salt)` Creates a new instance of `FixedByteArraySaltGenerator`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `generateSalt(int lengthBytes)` Return salt with the specified byte length.
    `boolean` | `includePlainSaltInEncryptionResults()` As this salt generator provides a fixed salt, its inclusion unencrypted in encryption results is not necessary, and in fact not desirable (so that it remains hidden).

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ByteArrayFixedSaltGenerator

          public ByteArrayFixedSaltGenerator(byte[] salt)

      Creates a new instance of `FixedByteArraySaltGenerator`
      Parameters:
        `salt` - the specified salt.

  - ### Method Detail

    - #### generateSalt

          public byte[] generateSalt(int lengthBytes)

      Return salt with the specified byte length.
      Specified by:
        `generateSalt` in interface `SaltGenerator`
      Parameters:
        `lengthBytes` - length in bytes.
      Returns:
        the generated salt.

    - #### includePlainSaltInEncryptionResults

          public boolean includePlainSaltInEncryptionResults()

      As this salt generator provides a fixed salt, its inclusion unencrypted in encryption results is not necessary, and in fact not desirable (so that it remains hidden).
      Specified by:
        `includePlainSaltInEncryptionResults` in interface `SaltGenerator`
      Returns:
        false

Copyright © 2019 The JASYPT team. All rights reserved.